Tests about a simple python3 fastcgi runner using libfcgi and the Python-C API.
python
c
wsgi
Ви не можете вибрати більше 25 тем Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931
  1. # Makefile.in generated by automake 1.16.1 from Makefile.am.
  2. # @configure_input@
  3. # Copyright (C) 1994-2018 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. @SET_MAKE@
  12. VPATH = @srcdir@
  13. am__is_gnu_make = { \
  14. if test -z '$(MAKELEVEL)'; then \
  15. false; \
  16. elif test -n '$(MAKE_HOST)'; then \
  17. true; \
  18. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  19. true; \
  20. else \
  21. false; \
  22. fi; \
  23. }
  24. am__make_running_with_option = \
  25. case $${target_option-} in \
  26. ?) ;; \
  27. *) echo "am__make_running_with_option: internal error: invalid" \
  28. "target option '$${target_option-}' specified" >&2; \
  29. exit 1;; \
  30. esac; \
  31. has_opt=no; \
  32. sane_makeflags=$$MAKEFLAGS; \
  33. if $(am__is_gnu_make); then \
  34. sane_makeflags=$$MFLAGS; \
  35. else \
  36. case $$MAKEFLAGS in \
  37. *\\[\ \ ]*) \
  38. bs=\\; \
  39. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  40. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  41. esac; \
  42. fi; \
  43. skip_next=no; \
  44. strip_trailopt () \
  45. { \
  46. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  47. }; \
  48. for flg in $$sane_makeflags; do \
  49. test $$skip_next = yes && { skip_next=no; continue; }; \
  50. case $$flg in \
  51. *=*|--*) continue;; \
  52. -*I) strip_trailopt 'I'; skip_next=yes;; \
  53. -*I?*) strip_trailopt 'I';; \
  54. -*O) strip_trailopt 'O'; skip_next=yes;; \
  55. -*O?*) strip_trailopt 'O';; \
  56. -*l) strip_trailopt 'l'; skip_next=yes;; \
  57. -*l?*) strip_trailopt 'l';; \
  58. -[dEDm]) skip_next=yes;; \
  59. -[JT]) skip_next=yes;; \
  60. esac; \
  61. case $$flg in \
  62. *$$target_option*) has_opt=yes; break;; \
  63. esac; \
  64. done; \
  65. test $$has_opt = yes
  66. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  67. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  68. pkgdatadir = $(datadir)/@PACKAGE@
  69. pkgincludedir = $(includedir)/@PACKAGE@
  70. pkglibdir = $(libdir)/@PACKAGE@
  71. pkglibexecdir = $(libexecdir)/@PACKAGE@
  72. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  73. install_sh_DATA = $(install_sh) -c -m 644
  74. install_sh_PROGRAM = $(install_sh) -c
  75. install_sh_SCRIPT = $(install_sh) -c
  76. INSTALL_HEADER = $(INSTALL_DATA)
  77. transform = $(program_transform_name)
  78. NORMAL_INSTALL = :
  79. PRE_INSTALL = :
  80. POST_INSTALL = :
  81. NORMAL_UNINSTALL = :
  82. PRE_UNINSTALL = :
  83. POST_UNINSTALL = :
  84. TESTS = check_logger$(EXEEXT)
  85. check_PROGRAMS = check_logger$(EXEEXT)
  86. subdir = tests
  87. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  88. am__aclocal_m4_deps = $(top_srcdir)/configure.ac
  89. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  90. $(ACLOCAL_M4)
  91. DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
  92. mkinstalldirs = $(install_sh) -d
  93. CONFIG_HEADER = $(top_builddir)/include/config.h
  94. CONFIG_CLEAN_FILES =
  95. CONFIG_CLEAN_VPATH_FILES =
  96. am_check_logger_OBJECTS = check_logger-check_logger.$(OBJEXT)
  97. check_logger_OBJECTS = $(am_check_logger_OBJECTS)
  98. check_logger_DEPENDENCIES = $(top_builddir)/src/libpyfcgi.a
  99. check_logger_LINK = $(CCLD) $(check_logger_CFLAGS) $(CFLAGS) \
  100. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  101. AM_V_P = $(am__v_P_@AM_V@)
  102. am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  103. am__v_P_0 = false
  104. am__v_P_1 = :
  105. AM_V_GEN = $(am__v_GEN_@AM_V@)
  106. am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  107. am__v_GEN_0 = @echo " GEN " $@;
  108. am__v_GEN_1 =
  109. AM_V_at = $(am__v_at_@AM_V@)
  110. am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  111. am__v_at_0 = @
  112. am__v_at_1 =
  113. DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/include
  114. depcomp = $(SHELL) $(top_srcdir)/depcomp
  115. am__maybe_remake_depfiles = depfiles
  116. am__depfiles_remade = ./$(DEPDIR)/check_logger-check_logger.Po
  117. am__mv = mv -f
  118. AM_V_lt = $(am__v_lt_@AM_V@)
  119. am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
  120. am__v_lt_0 = --silent
  121. am__v_lt_1 =
  122. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  123. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  124. AM_V_CC = $(am__v_CC_@AM_V@)
  125. am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
  126. am__v_CC_0 = @echo " CC " $@;
  127. am__v_CC_1 =
  128. CCLD = $(CC)
  129. LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
  130. AM_V_CCLD = $(am__v_CCLD_@AM_V@)
  131. am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
  132. am__v_CCLD_0 = @echo " CCLD " $@;
  133. am__v_CCLD_1 =
  134. SOURCES = $(check_logger_SOURCES)
  135. DIST_SOURCES = $(check_logger_SOURCES)
  136. am__can_run_installinfo = \
  137. case $$AM_UPDATE_INFO_DIR in \
  138. n|no|NO) false;; \
  139. *) (install-info --version) >/dev/null 2>&1;; \
  140. esac
  141. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  142. # Read a list of newline-separated strings from the standard input,
  143. # and print each of them once, without duplicates. Input order is
  144. # *not* preserved.
  145. am__uniquify_input = $(AWK) '\
  146. BEGIN { nonempty = 0; } \
  147. { items[$$0] = 1; nonempty = 1; } \
  148. END { if (nonempty) { for (i in items) print i; }; } \
  149. '
  150. # Make sure the list of sources is unique. This is necessary because,
  151. # e.g., the same source file might be shared among _SOURCES variables
  152. # for different programs/libraries.
  153. am__define_uniq_tagged_files = \
  154. list='$(am__tagged_files)'; \
  155. unique=`for i in $$list; do \
  156. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  157. done | $(am__uniquify_input)`
  158. ETAGS = etags
  159. CTAGS = ctags
  160. am__tty_colors_dummy = \
  161. mgn= red= grn= lgn= blu= brg= std=; \
  162. am__color_tests=no
  163. am__tty_colors = { \
  164. $(am__tty_colors_dummy); \
  165. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  166. am__color_tests=no; \
  167. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  168. am__color_tests=yes; \
  169. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  170. am__color_tests=yes; \
  171. fi; \
  172. if test $$am__color_tests = yes; then \
  173. red=''; \
  174. grn=''; \
  175. lgn=''; \
  176. blu=''; \
  177. mgn=''; \
  178. brg=''; \
  179. std=''; \
  180. fi; \
  181. }
  182. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  183. am__vpath_adj = case $$p in \
  184. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  185. *) f=$$p;; \
  186. esac;
  187. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  188. am__install_max = 40
  189. am__nobase_strip_setup = \
  190. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  191. am__nobase_strip = \
  192. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  193. am__nobase_list = $(am__nobase_strip_setup); \
  194. for p in $$list; do echo "$$p $$p"; done | \
  195. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  196. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  197. if (++n[$$2] == $(am__install_max)) \
  198. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  199. END { for (dir in files) print dir, files[dir] }'
  200. am__base_list = \
  201. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  202. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  203. am__uninstall_files_from_dir = { \
  204. test -z "$$files" \
  205. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  206. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  207. $(am__cd) "$$dir" && rm -f $$files; }; \
  208. }
  209. am__recheck_rx = ^[ ]*:recheck:[ ]*
  210. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  211. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  212. # A command that, given a newline-separated list of test names on the
  213. # standard input, print the name of the tests that are to be re-run
  214. # upon "make recheck".
  215. am__list_recheck_tests = $(AWK) '{ \
  216. recheck = 1; \
  217. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  218. { \
  219. if (rc < 0) \
  220. { \
  221. if ((getline line2 < ($$0 ".log")) < 0) \
  222. recheck = 0; \
  223. break; \
  224. } \
  225. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  226. { \
  227. recheck = 0; \
  228. break; \
  229. } \
  230. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  231. { \
  232. break; \
  233. } \
  234. }; \
  235. if (recheck) \
  236. print $$0; \
  237. close ($$0 ".trs"); \
  238. close ($$0 ".log"); \
  239. }'
  240. # A command that, given a newline-separated list of test names on the
  241. # standard input, create the global log from their .trs and .log files.
  242. am__create_global_log = $(AWK) ' \
  243. function fatal(msg) \
  244. { \
  245. print "fatal: making $@: " msg | "cat >&2"; \
  246. exit 1; \
  247. } \
  248. function rst_section(header) \
  249. { \
  250. print header; \
  251. len = length(header); \
  252. for (i = 1; i <= len; i = i + 1) \
  253. printf "="; \
  254. printf "\n\n"; \
  255. } \
  256. { \
  257. copy_in_global_log = 1; \
  258. global_test_result = "RUN"; \
  259. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  260. { \
  261. if (rc < 0) \
  262. fatal("failed to read from " $$0 ".trs"); \
  263. if (line ~ /$(am__global_test_result_rx)/) \
  264. { \
  265. sub("$(am__global_test_result_rx)", "", line); \
  266. sub("[ ]*$$", "", line); \
  267. global_test_result = line; \
  268. } \
  269. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  270. copy_in_global_log = 0; \
  271. }; \
  272. if (copy_in_global_log) \
  273. { \
  274. rst_section(global_test_result ": " $$0); \
  275. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  276. { \
  277. if (rc < 0) \
  278. fatal("failed to read from " $$0 ".log"); \
  279. print line; \
  280. }; \
  281. printf "\n"; \
  282. }; \
  283. close ($$0 ".trs"); \
  284. close ($$0 ".log"); \
  285. }'
  286. # Restructured Text title.
  287. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  288. # Solaris 10 'make', and several other traditional 'make' implementations,
  289. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  290. # by disabling -e (using the XSI extension "set +e") if it's set.
  291. am__sh_e_setup = case $$- in *e*) set +e;; esac
  292. # Default flags passed to test drivers.
  293. am__common_driver_flags = \
  294. --color-tests "$$am__color_tests" \
  295. --enable-hard-errors "$$am__enable_hard_errors" \
  296. --expect-failure "$$am__expect_failure"
  297. # To be inserted before the command running the test. Creates the
  298. # directory for the log if needed. Stores in $dir the directory
  299. # containing $f, in $tst the test, in $log the log. Executes the
  300. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  301. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  302. # will run the test scripts (or their associated LOG_COMPILER, if
  303. # thy have one).
  304. am__check_pre = \
  305. $(am__sh_e_setup); \
  306. $(am__vpath_adj_setup) $(am__vpath_adj) \
  307. $(am__tty_colors); \
  308. srcdir=$(srcdir); export srcdir; \
  309. case "$@" in \
  310. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  311. *) am__odir=.;; \
  312. esac; \
  313. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  314. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  315. if test -f "./$$f"; then dir=./; \
  316. elif test -f "$$f"; then dir=; \
  317. else dir="$(srcdir)/"; fi; \
  318. tst=$$dir$$f; log='$@'; \
  319. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  320. am__enable_hard_errors=no; \
  321. else \
  322. am__enable_hard_errors=yes; \
  323. fi; \
  324. case " $(XFAIL_TESTS) " in \
  325. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  326. am__expect_failure=yes;; \
  327. *) \
  328. am__expect_failure=no;; \
  329. esac; \
  330. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  331. # A shell command to get the names of the tests scripts with any registered
  332. # extension removed (i.e., equivalently, the names of the test logs, with
  333. # the '.log' extension removed). The result is saved in the shell variable
  334. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  335. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  336. # since that might cause problem with VPATH rewrites for suffix-less tests.
  337. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  338. am__set_TESTS_bases = \
  339. bases='$(TEST_LOGS)'; \
  340. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  341. bases=`echo $$bases`
  342. RECHECK_LOGS = $(TEST_LOGS)
  343. AM_RECURSIVE_TARGETS = check recheck
  344. TEST_SUITE_LOG = test-suite.log
  345. TEST_EXTENSIONS = @EXEEXT@ .test
  346. LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  347. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  348. am__set_b = \
  349. case '$@' in \
  350. */*) \
  351. case '$*' in \
  352. */*) b='$*';; \
  353. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  354. esac;; \
  355. *) \
  356. b='$*';; \
  357. esac
  358. am__test_logs1 = $(TESTS:=.log)
  359. am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
  360. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  361. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
  362. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  363. $(TEST_LOG_FLAGS)
  364. am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/depcomp \
  365. $(top_srcdir)/test-driver
  366. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  367. ACLOCAL = @ACLOCAL@
  368. AMTAR = @AMTAR@
  369. AM_CFLAGS = @AM_CFLAGS@
  370. AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  371. AUTOCONF = @AUTOCONF@
  372. AUTOHEADER = @AUTOHEADER@
  373. AUTOMAKE = @AUTOMAKE@
  374. AWK = @AWK@
  375. CC = @CC@
  376. CCDEPMODE = @CCDEPMODE@
  377. CFLAGS = @CFLAGS@
  378. CHECK_CFLAGS = @CHECK_CFLAGS@
  379. CHECK_LIBS = @CHECK_LIBS@
  380. CPP = @CPP@
  381. CPPFLAGS = @CPPFLAGS@
  382. CYGPATH_W = @CYGPATH_W@
  383. DEFS = @DEFS@
  384. DEPDIR = @DEPDIR@
  385. ECHO_C = @ECHO_C@
  386. ECHO_N = @ECHO_N@
  387. ECHO_T = @ECHO_T@
  388. EGREP = @EGREP@
  389. EXEEXT = @EXEEXT@
  390. GREP = @GREP@
  391. INSTALL = @INSTALL@
  392. INSTALL_DATA = @INSTALL_DATA@
  393. INSTALL_PROGRAM = @INSTALL_PROGRAM@
  394. INSTALL_SCRIPT = @INSTALL_SCRIPT@
  395. INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  396. LDFLAGS = @LDFLAGS@
  397. LIBOBJS = @LIBOBJS@
  398. LIBS = @LIBS@
  399. LTLIBOBJS = @LTLIBOBJS@
  400. MAKEINFO = @MAKEINFO@
  401. MKDIR_P = @MKDIR_P@
  402. OBJEXT = @OBJEXT@
  403. PACKAGE = @PACKAGE@
  404. PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  405. PACKAGE_NAME = @PACKAGE_NAME@
  406. PACKAGE_STRING = @PACKAGE_STRING@
  407. PACKAGE_TARNAME = @PACKAGE_TARNAME@
  408. PACKAGE_URL = @PACKAGE_URL@
  409. PACKAGE_VERSION = @PACKAGE_VERSION@
  410. PATH_SEPARATOR = @PATH_SEPARATOR@
  411. PKG_CONFIG = @PKG_CONFIG@
  412. PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
  413. PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
  414. PYTHON_CFLAGS = @PYTHON_CFLAGS@
  415. PYTHON_CONFIG = @PYTHON_CONFIG@
  416. PYTHON_LDFLAGS = @PYTHON_LDFLAGS@
  417. RANLIB = @RANLIB@
  418. SET_MAKE = @SET_MAKE@
  419. SHELL = @SHELL@
  420. STRIP = @STRIP@
  421. VERSION = @VERSION@
  422. abs_builddir = @abs_builddir@
  423. abs_srcdir = @abs_srcdir@
  424. abs_top_builddir = @abs_top_builddir@
  425. abs_top_srcdir = @abs_top_srcdir@
  426. ac_ct_CC = @ac_ct_CC@
  427. am__include = @am__include@
  428. am__leading_dot = @am__leading_dot@
  429. am__quote = @am__quote@
  430. am__tar = @am__tar@
  431. am__untar = @am__untar@
  432. bindir = @bindir@
  433. build_alias = @build_alias@
  434. builddir = @builddir@
  435. datadir = @datadir@
  436. datarootdir = @datarootdir@
  437. docdir = @docdir@
  438. dvidir = @dvidir@
  439. exec_prefix = @exec_prefix@
  440. host_alias = @host_alias@
  441. htmldir = @htmldir@
  442. includedir = @includedir@
  443. infodir = @infodir@
  444. install_sh = @install_sh@
  445. libdir = @libdir@
  446. libexecdir = @libexecdir@
  447. localedir = @localedir@
  448. localstatedir = @localstatedir@
  449. mandir = @mandir@
  450. mkdir_p = @mkdir_p@
  451. oldincludedir = @oldincludedir@
  452. pdfdir = @pdfdir@
  453. prefix = @prefix@
  454. program_transform_name = @program_transform_name@
  455. psdir = @psdir@
  456. runstatedir = @runstatedir@
  457. sbindir = @sbindir@
  458. sharedstatedir = @sharedstatedir@
  459. srcdir = @srcdir@
  460. sysconfdir = @sysconfdir@
  461. target_alias = @target_alias@
  462. top_build_prefix = @top_build_prefix@
  463. top_builddir = @top_builddir@
  464. top_srcdir = @top_srcdir@
  465. check_logger_SOURCES = check_logger.c $(top_builddir)/include/logger.h
  466. check_logger_CFLAGS = @CHECK_CFLAGS@
  467. check_logger_LDADD = $(top_builddir)/src/libpyfcgi.a @CHECK_LIBS@
  468. all: all-am
  469. .SUFFIXES:
  470. .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
  471. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  472. @for dep in $?; do \
  473. case '$(am__configure_deps)' in \
  474. *$$dep*) \
  475. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  476. && { if test -f $@; then exit 0; else break; fi; }; \
  477. exit 1;; \
  478. esac; \
  479. done; \
  480. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
  481. $(am__cd) $(top_srcdir) && \
  482. $(AUTOMAKE) --gnu tests/Makefile
  483. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  484. @case '$?' in \
  485. *config.status*) \
  486. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  487. *) \
  488. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  489. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  490. esac;
  491. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  492. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  493. $(top_srcdir)/configure: $(am__configure_deps)
  494. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  495. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  496. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  497. $(am__aclocal_m4_deps):
  498. clean-checkPROGRAMS:
  499. -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
  500. check_logger$(EXEEXT): $(check_logger_OBJECTS) $(check_logger_DEPENDENCIES) $(EXTRA_check_logger_DEPENDENCIES)
  501. @rm -f check_logger$(EXEEXT)
  502. $(AM_V_CCLD)$(check_logger_LINK) $(check_logger_OBJECTS) $(check_logger_LDADD) $(LIBS)
  503. mostlyclean-compile:
  504. -rm -f *.$(OBJEXT)
  505. distclean-compile:
  506. -rm -f *.tab.c
  507. @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/check_logger-check_logger.Po@am__quote@ # am--include-marker
  508. $(am__depfiles_remade):
  509. @$(MKDIR_P) $(@D)
  510. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  511. am--depfiles: $(am__depfiles_remade)
  512. .c.o:
  513. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  514. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  515. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  516. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  517. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
  518. .c.obj:
  519. @am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  520. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  521. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
  522. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  523. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  524. check_logger-check_logger.o: check_logger.c
  525. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(check_logger_CFLAGS) $(CFLAGS) -MT check_logger-check_logger.o -MD -MP -MF $(DEPDIR)/check_logger-check_logger.Tpo -c -o check_logger-check_logger.o `test -f 'check_logger.c' || echo '$(srcdir)/'`check_logger.c
  526. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/check_logger-check_logger.Tpo $(DEPDIR)/check_logger-check_logger.Po
  527. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='check_logger.c' object='check_logger-check_logger.o' libtool=no @AMDEPBACKSLASH@
  528. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  529. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(check_logger_CFLAGS) $(CFLAGS) -c -o check_logger-check_logger.o `test -f 'check_logger.c' || echo '$(srcdir)/'`check_logger.c
  530. check_logger-check_logger.obj: check_logger.c
  531. @am__fastdepCC_TRUE@ $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(check_logger_CFLAGS) $(CFLAGS) -MT check_logger-check_logger.obj -MD -MP -MF $(DEPDIR)/check_logger-check_logger.Tpo -c -o check_logger-check_logger.obj `if test -f 'check_logger.c'; then $(CYGPATH_W) 'check_logger.c'; else $(CYGPATH_W) '$(srcdir)/check_logger.c'; fi`
  532. @am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/check_logger-check_logger.Tpo $(DEPDIR)/check_logger-check_logger.Po
  533. @AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='check_logger.c' object='check_logger-check_logger.obj' libtool=no @AMDEPBACKSLASH@
  534. @AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
  535. @am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(check_logger_CFLAGS) $(CFLAGS) -c -o check_logger-check_logger.obj `if test -f 'check_logger.c'; then $(CYGPATH_W) 'check_logger.c'; else $(CYGPATH_W) '$(srcdir)/check_logger.c'; fi`
  536. ID: $(am__tagged_files)
  537. $(am__define_uniq_tagged_files); mkid -fID $$unique
  538. tags: tags-am
  539. TAGS: tags
  540. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  541. set x; \
  542. here=`pwd`; \
  543. $(am__define_uniq_tagged_files); \
  544. shift; \
  545. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  546. test -n "$$unique" || unique=$$empty_fix; \
  547. if test $$# -gt 0; then \
  548. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  549. "$$@" $$unique; \
  550. else \
  551. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  552. $$unique; \
  553. fi; \
  554. fi
  555. ctags: ctags-am
  556. CTAGS: ctags
  557. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  558. $(am__define_uniq_tagged_files); \
  559. test -z "$(CTAGS_ARGS)$$unique" \
  560. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  561. $$unique
  562. GTAGS:
  563. here=`$(am__cd) $(top_builddir) && pwd` \
  564. && $(am__cd) $(top_srcdir) \
  565. && gtags -i $(GTAGS_ARGS) "$$here"
  566. cscopelist: cscopelist-am
  567. cscopelist-am: $(am__tagged_files)
  568. list='$(am__tagged_files)'; \
  569. case "$(srcdir)" in \
  570. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  571. *) sdir=$(subdir)/$(srcdir) ;; \
  572. esac; \
  573. for i in $$list; do \
  574. if test -f "$$i"; then \
  575. echo "$(subdir)/$$i"; \
  576. else \
  577. echo "$$sdir/$$i"; \
  578. fi; \
  579. done >> $(top_builddir)/cscope.files
  580. distclean-tags:
  581. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  582. # Recover from deleted '.trs' file; this should ensure that
  583. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  584. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  585. # to avoid problems with "make -n".
  586. .log.trs:
  587. rm -f $< $@
  588. $(MAKE) $(AM_MAKEFLAGS) $<
  589. # Leading 'am--fnord' is there to ensure the list of targets does not
  590. # expand to empty, as could happen e.g. with make check TESTS=''.
  591. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  592. am--force-recheck:
  593. @:
  594. $(TEST_SUITE_LOG): $(TEST_LOGS)
  595. @$(am__set_TESTS_bases); \
  596. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  597. redo_bases=`for i in $$bases; do \
  598. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  599. done`; \
  600. if test -n "$$redo_bases"; then \
  601. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  602. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  603. if $(am__make_dryrun); then :; else \
  604. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  605. fi; \
  606. fi; \
  607. if test -n "$$am__remaking_logs"; then \
  608. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  609. "recursion detected" >&2; \
  610. elif test -n "$$redo_logs"; then \
  611. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  612. fi; \
  613. if $(am__make_dryrun); then :; else \
  614. st=0; \
  615. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  616. for i in $$redo_bases; do \
  617. test -f $$i.trs && test -r $$i.trs \
  618. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  619. test -f $$i.log && test -r $$i.log \
  620. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  621. done; \
  622. test $$st -eq 0 || exit 1; \
  623. fi
  624. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  625. ws='[ ]'; \
  626. results=`for b in $$bases; do echo $$b.trs; done`; \
  627. test -n "$$results" || results=/dev/null; \
  628. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  629. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  630. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  631. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  632. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  633. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  634. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  635. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  636. success=true; \
  637. else \
  638. success=false; \
  639. fi; \
  640. br='==================='; br=$$br$$br$$br$$br; \
  641. result_count () \
  642. { \
  643. if test x"$$1" = x"--maybe-color"; then \
  644. maybe_colorize=yes; \
  645. elif test x"$$1" = x"--no-color"; then \
  646. maybe_colorize=no; \
  647. else \
  648. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  649. fi; \
  650. shift; \
  651. desc=$$1 count=$$2; \
  652. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  653. color_start=$$3 color_end=$$std; \
  654. else \
  655. color_start= color_end=; \
  656. fi; \
  657. echo "$${color_start}# $$desc $$count$${color_end}"; \
  658. }; \
  659. create_testsuite_report () \
  660. { \
  661. result_count $$1 "TOTAL:" $$all "$$brg"; \
  662. result_count $$1 "PASS: " $$pass "$$grn"; \
  663. result_count $$1 "SKIP: " $$skip "$$blu"; \
  664. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  665. result_count $$1 "FAIL: " $$fail "$$red"; \
  666. result_count $$1 "XPASS:" $$xpass "$$red"; \
  667. result_count $$1 "ERROR:" $$error "$$mgn"; \
  668. }; \
  669. { \
  670. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  671. $(am__rst_title); \
  672. create_testsuite_report --no-color; \
  673. echo; \
  674. echo ".. contents:: :depth: 2"; \
  675. echo; \
  676. for b in $$bases; do echo $$b; done \
  677. | $(am__create_global_log); \
  678. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  679. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  680. if $$success; then \
  681. col="$$grn"; \
  682. else \
  683. col="$$red"; \
  684. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  685. fi; \
  686. echo "$${col}$$br$${std}"; \
  687. echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}"; \
  688. echo "$${col}$$br$${std}"; \
  689. create_testsuite_report --maybe-color; \
  690. echo "$$col$$br$$std"; \
  691. if $$success; then :; else \
  692. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  693. if test -n "$(PACKAGE_BUGREPORT)"; then \
  694. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  695. fi; \
  696. echo "$$col$$br$$std"; \
  697. fi; \
  698. $$success || exit 1
  699. check-TESTS: $(check_PROGRAMS)
  700. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  701. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  702. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  703. @set +e; $(am__set_TESTS_bases); \
  704. log_list=`for i in $$bases; do echo $$i.log; done`; \
  705. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  706. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  707. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  708. exit $$?;
  709. recheck: all $(check_PROGRAMS)
  710. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  711. @set +e; $(am__set_TESTS_bases); \
  712. bases=`for i in $$bases; do echo $$i; done \
  713. | $(am__list_recheck_tests)` || exit 1; \
  714. log_list=`for i in $$bases; do echo $$i.log; done`; \
  715. log_list=`echo $$log_list`; \
  716. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  717. am__force_recheck=am--force-recheck \
  718. TEST_LOGS="$$log_list"; \
  719. exit $$?
  720. check_logger.log: check_logger$(EXEEXT)
  721. @p='check_logger$(EXEEXT)'; \
  722. b='check_logger'; \
  723. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  724. --log-file $$b.log --trs-file $$b.trs \
  725. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  726. "$$tst" $(AM_TESTS_FD_REDIRECT)
  727. .test.log:
  728. @p='$<'; \
  729. $(am__set_b); \
  730. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  731. --log-file $$b.log --trs-file $$b.trs \
  732. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  733. "$$tst" $(AM_TESTS_FD_REDIRECT)
  734. @am__EXEEXT_TRUE@.test$(EXEEXT).log:
  735. @am__EXEEXT_TRUE@ @p='$<'; \
  736. @am__EXEEXT_TRUE@ $(am__set_b); \
  737. @am__EXEEXT_TRUE@ $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  738. @am__EXEEXT_TRUE@ --log-file $$b.log --trs-file $$b.trs \
  739. @am__EXEEXT_TRUE@ $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  740. @am__EXEEXT_TRUE@ "$$tst" $(AM_TESTS_FD_REDIRECT)
  741. distdir: $(BUILT_SOURCES)
  742. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  743. distdir-am: $(DISTFILES)
  744. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  745. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  746. list='$(DISTFILES)'; \
  747. dist_files=`for file in $$list; do echo $$file; done | \
  748. sed -e "s|^$$srcdirstrip/||;t" \
  749. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  750. case $$dist_files in \
  751. */*) $(MKDIR_P) `echo "$$dist_files" | \
  752. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  753. sort -u` ;; \
  754. esac; \
  755. for file in $$dist_files; do \
  756. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  757. if test -d $$d/$$file; then \
  758. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  759. if test -d "$(distdir)/$$file"; then \
  760. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  761. fi; \
  762. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  763. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  764. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  765. fi; \
  766. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  767. else \
  768. test -f "$(distdir)/$$file" \
  769. || cp -p $$d/$$file "$(distdir)/$$file" \
  770. || exit 1; \
  771. fi; \
  772. done
  773. check-am: all-am
  774. $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
  775. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  776. check: check-am
  777. all-am: Makefile
  778. installdirs:
  779. install: install-am
  780. install-exec: install-exec-am
  781. install-data: install-data-am
  782. uninstall: uninstall-am
  783. install-am: all-am
  784. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  785. installcheck: installcheck-am
  786. install-strip:
  787. if test -z '$(STRIP)'; then \
  788. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  789. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  790. install; \
  791. else \
  792. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  793. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  794. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  795. fi
  796. mostlyclean-generic:
  797. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  798. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  799. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  800. clean-generic:
  801. distclean-generic:
  802. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  803. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  804. maintainer-clean-generic:
  805. @echo "This command is intended for maintainers to use"
  806. @echo "it deletes files that may require special tools to rebuild."
  807. clean: clean-am
  808. clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
  809. distclean: distclean-am
  810. -rm -f ./$(DEPDIR)/check_logger-check_logger.Po
  811. -rm -f Makefile
  812. distclean-am: clean-am distclean-compile distclean-generic \
  813. distclean-tags
  814. dvi: dvi-am
  815. dvi-am:
  816. html: html-am
  817. html-am:
  818. info: info-am
  819. info-am:
  820. install-data-am:
  821. install-dvi: install-dvi-am
  822. install-dvi-am:
  823. install-exec-am:
  824. install-html: install-html-am
  825. install-html-am:
  826. install-info: install-info-am
  827. install-info-am:
  828. install-man:
  829. install-pdf: install-pdf-am
  830. install-pdf-am:
  831. install-ps: install-ps-am
  832. install-ps-am:
  833. installcheck-am:
  834. maintainer-clean: maintainer-clean-am
  835. -rm -f ./$(DEPDIR)/check_logger-check_logger.Po
  836. -rm -f Makefile
  837. maintainer-clean-am: distclean-am maintainer-clean-generic
  838. mostlyclean: mostlyclean-am
  839. mostlyclean-am: mostlyclean-compile mostlyclean-generic
  840. pdf: pdf-am
  841. pdf-am:
  842. ps: ps-am
  843. ps-am:
  844. uninstall-am:
  845. .MAKE: check-am install-am install-strip
  846. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  847. check-am clean clean-checkPROGRAMS clean-generic cscopelist-am \
  848. ctags ctags-am distclean distclean-compile distclean-generic \
  849. distclean-tags distdir dvi dvi-am html html-am info info-am \
  850. install install-am install-data install-data-am install-dvi \
  851. install-dvi-am install-exec install-exec-am install-html \
  852. install-html-am install-info install-info-am install-man \
  853. install-pdf install-pdf-am install-ps install-ps-am \
  854. install-strip installcheck installcheck-am installdirs \
  855. maintainer-clean maintainer-clean-generic mostlyclean \
  856. mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
  857. recheck tags tags-am uninstall uninstall-am
  858. .PRECIOUS: Makefile
  859. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  860. # Otherwise a system limit (for SysV at least) may be exceeded.
  861. .NOEXPORT: